//
//  MCHelperToolClient.h
//  MemoryCell
//
//  Created by Quentin Carnicelli on 9/9/06.
//  Copyright 2006 Rogue Amoeba Software, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MCMemoryStats.h"

@interface MCHelperToolClient : NSObject
{
	BOOL						mUseRemoteTFP;
	NSTask*						mTask;
	NSConnection*				mConnection;
}

+ (NSString*)helperToolPath;
+ (BOOL)helperToolHasValidPermissions;

- (id)init;

- (NSData*)loadProcessMemoryStatsForPid: (pid_t)pid compareStats: (NSData*)oldStats;

@end
