//
//  MCMenuExtraView.h
//  MemoryCell
//
//  Created by Quentin Carnicelli on 11/29/04.
//  Copyright 2004 Rogue Amoeba Software, LLC. All rights reserved.
//

#import "NSMenuExtra.h"

#import "MCMemoryStats.h"

@interface MCMenuExtraView : NSMenuExtraView
{
	process_memory_stat_unit	mDisplayUnit;
	process_memory_stats		mProcessStats;
	long						mLastDrawnTimestamp;
}

+ (NSSize)contentSize;

- (void)setUnit: (process_memory_stat_unit)unit;
- (process_memory_stat_unit)unit;

- (void)setProcess: (const process_memory_stats*)process;
- (const process_memory_stats*)process;

- (NSString*)AXValue;

@end
